#!/bin/bash

export PATH="/bin:/sbin:/usr/sbin:/usr/bin"

IFID=$( (scutil | grep PrimaryInterface | sed -e 's/.*PrimaryInterface : //')<< EOF
open
get State:/Network/Global/IPv4
d.show
quit
EOF
)

PORTID=$(networksetup -listallhardwareports|grep -B1 "^Device: $IFID"|head -1| sed -e 's/Hardware Port: //')

if [ -e /tmp/strongvpn_dns.temp ]; then
OLDDNS=`cat /tmp/strongvpn_dns.temp`
networksetup -setdnsservers $PORTID $OLDDNS
rm /tmp/strongvpn_dns.temp
else
networksetup -setdnsservers $PORTID Empty
fi

if [ -e /tmp/strongvpn_domain.temp ]; then
OLDDOMAIN=`cat /tmp/strongvpn_domain.temp`
networksetup -setsearchdomains $PORTID $OLDDOMAIN
rm /tmp/strongvpn_domain.temp
else
networksetup -setsearchdomains $PORTID Empty
fi

exit 0