#!/bin/bash

export PATH="/bin:/sbin:/usr/sbin:/usr/bin"

IFID=$( (scutil | grep PrimaryInterface | sed -e 's/.*PrimaryInterface : //')<< EOF
open
get State:/Network/Global/IPv4
d.show
quit
EOF
)

PORTID=$(networksetup -listallhardwareports|grep -B1 "^Device: $IFID"|head -1| sed -e 's/Hardware Port: //')

OLDDNS=`networksetup -getdnsservers $PORTID`
OLDDOMAIN=`networksetup -getsearchdomains $PORTID`

if ! grep -q "There aren't any DNS Servers set on" <<<$OLDDNS; then
echo $OLDDNS > /tmp/strongvpn_dns.temp
fi
if ! grep -q "There aren't any Search Domains set on" <<<$OLDDOMAIN; then
echo $OLDDOMAIN > /tmp/strongvpn_domain.temp
fi

unset vForOptions
unset vDNS
unset aNameServers

nOptionIndex=1
nNameServerIndex=1

while vForOptions=foreign_option_$nOptionIndex; [ -n "${!vForOptions}" ]; do
    vOptions[nOptionIndex-1]=${!vForOptions}
    case ${vOptions[nOptionIndex-1]} in
        *DNS*    )
            vDNS[nNameServerIndex-1]=${vOptions[nOptionIndex-1]//dhcp-option DNS /}
            let nNameServerIndex++
            ;;
    esac
    let nOptionIndex++
done

vDNS[nNameServerIndex-1]="8.8.8.8"

networksetup -setdnsservers $PORTID ${vDNS[@]}
networksetup -setsearchdomains $PORTID "openvpn"

exit 0
